<!--
*******************************************************************************
* Copyright (C) 2006 Ping Identity Corporation All rights reserved.
*
* This software is licensed under the Open Software License v2.1 (OSL v2.1).
*
* A copy of this license has been provided with the distribution of this
* software. Additionally, a copy of this license is available at:
* http://opensource.org/licenses/osl-2.1.php
*
******************************************************************************
-->
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ page import = "java.io.IOException" %>
<%@ page import = "java.io.InputStream" %>
<%@ page import = "java.io.FileInputStream" %>
<%@ page import = "javax.servlet.ServletConfig" %>
<%@ page import = "javax.servlet.ServletException" %>
<%@ page import = "javax.servlet.http.HttpServletRequest" %>
<%@ page import = "javax.servlet.http.HttpServletResponse" %>
<%@ page import = "javax.servlet.http.HttpSession" %>
<%@ include file="src/global.jsp" %>
<%@ include file="src/PFToken.jsp" %>
<%@ include file="src/RequestHandler.jsp" %>

<%
	String cmd = request.getParameter(PARAM_CMD);
	String redirectURL = null;

	loadGlobalProperties(config, request);

	if(cmd == null) {
		cmd = PARAM_CMD_DEFAULT;
	}

	if(cmd.equals(PARAM_CMD_SSO)) {
		handleDefaultRequest(request,response);
	}
	else if(cmd.equals(PARAM_CMD_SLO)) {
		handleSLORequest(request,response);
	}
	else if(cmd.equals(PARAM_CMD_ACCOUNT_LINK)) {
		handleAccountLinkingRequest(request,response);
	}
	else if(cmd.equals(PARAM_CMD_POST_LOGIN)) {
		handlePostLoginRequest(request,response);
	}
	else if(cmd.equals(PARAM_CMD_POST_LOGIN_ACCOUNT_LINK)) {
		handlePostLoginAccountLinkingRequest(request,response);
	}
	else if(cmd.equals(PARAM_CMD_LOGOUT)) {
		handleLogoutRequest(request,response);
	}
	else {
		handleDefaultRequest(request,response);
	}

%>

